# Class VizierInfo

java.lang.Object
uk.ac.starlink.topcat.vizier.VizierInfo

public class VizierInfo extends Object
Can obtain information about VizieR service. Most of the methods in this class may take time to interrogate the VizieR server, and therefore ought not to be called on the event dispatch thread.

Since:
  3 Nov 2009
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`InfoItem[]`
`getArchives()`
Returns a list of the known archive resources.
`String[]`
`getAstronomyKws()`
Returns the list of keyword values permitted for the Astronomy controlled vocabulary.
`URL`
`getBaseUrl()`
`String[]`
`getMissionKws()`
Returns the list of keyword values permitted for the Mission controlled vocabulary.
`Component`
`getParent()`
Returns the declared parent component used by this object for placing warning messages.
`InfoItem[]`
`getSurveys()`
Returns a list of the known survey resources.
`String[]`
`getWavelengthKws()`
Returns the list of keyword values permitted for the Wavelength controlled vocabulary.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getBaseUrl

public URL getBaseUrl()

### getSurveys

public InfoItem[] getSurveys()
Returns a list of the known survey resources.

Returns:
  survey array; may be empty, but not null, if there was an error

### getArchives

public InfoItem[] getArchives()
Returns a list of the known archive resources.

Returns:
  archive array; may be empty, but not null, if there was an error

### getWavelengthKws

public String[] getWavelengthKws()
Returns the list of keyword values permitted for the Wavelength controlled vocabulary.

Returns:
  wavelength keywords

### getMissionKws

public String[] getMissionKws()
Returns the list of keyword values permitted for the Mission controlled vocabulary.

Returns:
  mission keywords

### getAstronomyKws

public String[] getAstronomyKws()
Returns the list of keyword values permitted for the Astronomy controlled vocabulary.

Returns:
  astronomy keywords

### getParent

public Component getParent()
Returns the declared parent component used by this object for placing warning messages.

Returns:
  parent component